## org.apache.xerces.parsers
Class XMLGrammarParser

    java.lang.Object
      |
      +--org.apache.xerces.parsers.XMLParser
            |
            +--org.apache.xerces.parsers.XMLGrammarParser

Direct Known Subclasses:
  DTDParser

public abstract class XMLGrammarParser
extends XMLParser

Version:
  $Id: XMLGrammarParser.java,v 1.8 2003/03/25 17:15:15 sandygao Exp $

Field Summary
`protected DTDDVFactory` `fDatatypeValidatorFactory` fDatatypeValidatorFactory

Fields inherited from class org.apache.xerces.parsers.XMLParser
`ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

Constructor Summary
`protected` `XMLGrammarParser(SymbolTable symbolTable)` Construct an XMLGrammarParser with the specified symbol table

Methods inherited from class org.apache.xerces.parsers.XMLParser
`parse, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fDatatypeValidatorFactory

    protected DTDDVFactory fDatatypeValidatorFactory

  fDatatypeValidatorFactory

Constructor Detail

### XMLGrammarParser

    protected XMLGrammarParser(SymbolTable symbolTable)

  Construct an XMLGrammarParser with the specified symbol table
  Parameters:
    `symbolTable` -

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.